/* Default Xfce theme
 * Olivier Fourdan 05/2003
 * Ported from gtk-2.0 to gtk-3.0 by Peter de Ridder <peter@xfce.org>
 */

@define-color fg_active #000000;
@define-color fg_insensitive #7f7f79;
@define-color fg_normal #000000;
@define-color fg_prelight #000000;
@define-color fg_selected #ffffff;

@define-color bg_active #bfbdbb;
@define-color bg_insensitive #eae7e4;
@define-color bg_normal #eae7e4;
@define-color bg_prelight #eae7e4;
@define-color bg_selected #606080;

@define-color base_active #bfbdbb;
@define-color base_insensitive #eae7e4;
@define-color base_normal #ffffff;
@define-color base_prelight #eae7e4;
@define-color base_selected #606080;

@define-color text_active #000000;
@define-color text_insensitive #000000;
@define-color text_normal #000000;
@define-color text_prelight #000000;
@define-color text_selected #ffffff;

* {
    engine: xfce;

    -xfce-smooth-edge: true;

    -GtkButton-default-border        : 0;
    -GtkButton-default-outside-border: 0;
    -GtkCheckButton-indicator-size   : 15;
    -GtkMenuBar-shadow-type          : out;
    -GtkPaned-handle-size            : 8;
    -GtkRange-slider-width           : 15;
    -GtkRange-stepper-size           : 15;
    -GtkRange-stepper-spacing        : 0;
    -GtkRange-trough-border          : 0;
    -GtkScrollbar-min-slider-length  : 20;
    -GtkToolbar-shadow-type          : out;
    -GtkWidget-focus-line-width      : 1;
    -GtkWidget-focus-padding         : 2;
    -GtkWidget-interior-focus        : true;

    border-width: 2px 2px;

    color: @fg_normal;
    background-color: @bg_normal;
    border-color: darker(@bg_normal);
}

*:active {
    color: @fg_active;
    background-color: @bg_active;
    border-color: darker(@bg_active);
}

*:insensitive {
    color: @fg_insensitive;
    background-color: @bg_insensitive;
    border-color: darker(@bg_insensitive);
    text-shadow: 1px 1px white;
}

*:hover {
    color: @fg_prelight;
    background-color: @bg_prelight;
    border-color: darker(@bg_prelight);
}

*:selected {
    color: @fg_selected;
    background-color: @bg_selected;
    border-color: darker(@bg_selected);
}

.view, .entry {
    color: @text_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);

    border-width: 3px 3px;
}

.view:active, .entry:active {
    color: #000000;
    background-color: @base_active;
    border-color: darker(@bg_normal);
}

.view:insensitive, .entry:insensitive {
    color: @text_insensitive;
    background-color: @base_insensitive;
    border-color: darker(@bg_normal);
}

.view:hover, .entry:hover {
    color: #ffffff;
    background-color: @base_prelight;
    border-color: darker(@bg_normal);
}

.view:selected, .entry:selected {
    color: @text_selected;
    background-color: @base_selected;
    border-color: darker(@bg_normal);
}

.view row:nth-child(odd) {
    background-color: shade(@base_normal, 0.93);
}

.view row:nth-child(odd):active {
    background-color: shade(@base_active, 0.93);
}

.view row:nth-child(odd):insensitive {
    background-color: shade(@base_insensitive, 0.93);
}

.view row:nth-child(odd):hover {
    background-color: shade(@base_prelight, 0.93);
}

.view row:nth-child(odd):selected {
    background-color: shade(@base_selected, 0.93);
}

GtkCalendar {
    color: @text_normal;
}

.header {
    color: @fg_normal;
}

GtkCalendar:active {
    color: @text_active;
}

GtkCalendar:insensitive {
    color: @text_insensitive;
}

GtkCalendar:hover {
    color: @text_prelight;
}

GtkCalendar:selected {
    color: @text_selected;
}

.highlight {
    color: @text_active;
    background-color: @base_active;
}

GtkCalendar:inconsistent {
    color: mix(lighter(@bg_normal), darker(@bg_normal), 0.5);
}

GtkCalendar:selected {
    color: @text_active;
    background-color: @base_active;
}

.check, .radio {
    color: @text_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.check:active, .radio:active {
    color: @text_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.check:insensitive, .radio:insensitive {
    color: @text_insensitive;
    background-color: @base_insensitive;
    border-color: darker(@bg_insensitive);
}

.check:hover, .radio:hover {
    color: @text_prelight;
    background-color: @base_prelight;
    border-color: darker(@bg_prelight);
}

.check:selected, .radio:selected {
    color: @text_active;
    background-color: @base_active;
    border-color: darker(@bg_active);
}

.check:inconsistent, .radio:inconsistent {
    color: @fg_normal;
    background-color: @base_normal;
    border-color: darker(@bg_normal);
}

.check:insensitive:inconsistent, .radio:insensitive:inconsistent {
    color: @fg_insensitive;
    background-color: @base_insensitive;
    border-color: darker(@bg_insensitive);
}

.cell {
    color: @text_normal;
}

.cell:active {
    color: @text_active;
}

.cell:insensitive {
    color: @text_insensitive;
}

.cell:hover {
    color: @text_prelight;
}

.cell:selected {
    color: @text_selected;
}

.spinbutton.button {
    color: @fg_normal;
    background-color: @bg_normal;
}

.spinbutton.button:active {
    color: @fg_active;
    background-color: @bg_active;
}

.spinbutton.button:insensitive {
    color: @fg_insensitive;
    background-color: @bg_insensitive;
}

.spinbutton.button:hover {
    color: @fg_prelight;
    background-color: @bg_prelight;
}

.spinbutton.button:selected {
    color: @fg_selected;
    background-color: @bg_selected;
}

.progressbar {
    color: #ffffff;
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#606080, 0.8)), to(shade(#606080, 1.8)));
    border-color: darker(#606080);

    border-width: 1px 1px;
}

.trough {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_normal, 0.8)), to(shade(@bg_normal, 1.8)));
}

.scrollbar.trough {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(@bg_active, 0.8)), to(shade(@bg_active, 1.8)));
    border-color: darker(@bg_active);

    border-width: 2px 2px;
}

.scale.trough {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(@bg_active, 0.8)), to(shade(@bg_active, 1.8)));
    border-color: darker(@bg_active);
}

.scrollbar.trough.horizontal {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_active, 0.8)), to(shade(@bg_active, 1.8)));
}

.scale.trough.horizontal {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_active, 0.8)), to(shade(@bg_active, 1.8)));
}

.notebook tab, .notebook tab * {
    color: @fg_active;
    background-color: @bg_active;
    border-color: darker(@bg_active);
}

.notebook tab:active, .notebook tab *:active {
    color: @fg_normal;
    background-color: @bg_normal;
    border-color: darker(@bg_normal);
}

.expander {
    color: @base_normal;
    border-color: @fg_normal;
}

.expander:active {
    color: @base_normal;
    border-color: @fg_normal;
}

.expander:insensitive {
    color: @base_insensitive;
    border-color: @fg_insensitive;
}

.expander:hover {
    color: @fg_prelight;
    border-color: @fg_prelight;
}

.expander:selected {
    color: @base_selected;
    border-color: @fg_selected;
}

GtkComboBox {
    padding: 0px;
}

GtkComboBox .button {
    padding: 1px;
}

.menubar, .dock, .toolbar {
    border-width: 1px 2px;
}

.menubar:active, .dock:active, .toolbar:active {
    color: #000000;
    background-color: #bfbdbb;
    border-color: darker(#bfbdbb);
}

.dock:hover, .toolbar:hover {
    color: #ffffff;
    background-color: #606080;
    border-color: darker(#606080);
}

.menuitem {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_normal, 0.8)), to(shade(@bg_normal, 1.8)));

    border-width: 2px 2px;
}

.menuitem:active {
    color: #000000;
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#bfbdbb, 1.8)), to(shade(#bfbdbb, 0.8)));
    border-color: darker(#bfbdbb);
}

.menuitem:insensitive {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_insensitive, 0.8)), to(shade(@bg_insensitive, 1.8)));
}

.menuitem:hover {
    color: #ffffff;
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#606080, 0.8)), to(shade(#606080, 1.8)));
    border-color: darker(#606080);
    border-style: outset;
}

.menuitem *:hover {
    color: #ffffff;
}

.menuitem:selected {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_selected, 1.8)), to(shade(@bg_selected, 0.8)));
}

.button.horizontal, .scrollbar.slider.horizontal {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_normal, 0.8)), to(shade(@bg_normal, 1.8)));

    border-width: 2px 2px;
}

.button.horizontal:active, .scrollbar.slider.horizontal:active {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_active, 1.8)), to(shade(@bg_active, 0.8)));
}

.button.horizontal:insensitive, .scrollbar.slider.horizontal:insensitive {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_insensitive, 0.8)), to(shade(@bg_insensitive, 1.8)));
}

.button.horizontal:hover, .scrollbar.slider.horizontal:hover {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_prelight, 0.8)), to(shade(@bg_prelight, 1.8)));
}

.button.horizontal:selected, .scrollbar.slider.horizontal:selected {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_selected, 1.8)), to(shade(@bg_selected, 0.8)));
}

.button.vertical, .scrollbar.slider.vertical {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(@bg_normal, 0.8)), to(shade(@bg_normal, 1.8)));

    border-width: 2px 2px;
}

.button.vertical:active, .scrollbar.slider.vertical:active {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(@bg_active, 1.8)), to(shade(@bg_active, 0.8)));
}

.button.vertical:insensitive, .scrollbar.slider.vertical:insensitive {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(@bg_insensitive, 0.8)), to(shade(@bg_insensitive, 1.8)));
}

.button.vertical:hover, .scrollbar.slider.vertical:hover {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(@bg_prelight, 0.8)), to(shade(@bg_prelight, 1.8)));
}

.button.vertical:selected, .scrollbar.slider.vertical:selected {
    background-image: -gtk-gradient(linear, left top, right top, from(shade(@bg_selected, 1.8)), to(shade(@bg_selected, 0.8)));
}

.button {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_normal, 0.8)), to(shade(#fafaf2, 1.8)));

    border-width: 3px 3px;

    -GtkWidget-focus-padding: 0;
}

.scale {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_normal, 0.8)), to(shade(#fafaf2, 1.8)));

    border-width: 3px 3px;
}

.button:active, .scale:active {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#bfbdbb, 1.8)), to(shade(#bfbdbb, 0.8)));
    border-color: darker(#bfbdbb);
}

.button:insensitive, .scale:insensitive {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_insensitive, 0.8)), to(shade(@bg_insensitive, 1.8)));
}

.button:hover, .scale:hover {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(#606080, 0.8)), to(shade(#606080, 1.8)));
    border-color: darker(#606080);
}

.button:selected, .scale:selected {
    background-image: -gtk-gradient(linear, left top, left bottom, from(shade(@bg_selected, 1.8)), to(shade(@bg_selected, 0.8)));
}
